Summary:	Modular Assembler
Summary(de):	Modularer Assembler
Name:		yasm
Version:	1.2.0
Release:	%mkrel 2
License:	BSD
Group:		Development/Other
Url:		http://www.tortall.net/projects/yasm/
Source0:	http://www.tortall.net/projects/yasm/releases/%{name}-%{version}.tar.xz
BuildRequires:	xmlto
BuildRequires:	python-pyrex >= 0.9.5.1
BuildRequires:	python-cython
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python >= 2.7


%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD
License (some portions are under other licenses, see COPYING for
details). It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

%description -l de
Yasm ist eine komplett neu geschriebene Version des NASM Assembler unter
der "neuen" BSD Lizenz (einige Teile unter anderen Linzenzen, siehe 
COPYING Datei für Details). Es ist von grundauf so angelegt, dass mehrere 
Assembler Syntaxen unterstützt werden (z.B. NASM, TASM, GAS, etc.) weiterhin
werden mehrere Ausgabeobjektformate und sogar mehrere Anweisungsmengen unter-
stützt. Ein weiteres Primärmodul des übergeordneten Designs ist ein
Optimierungsmodul.

%package devel
Summary:	Development headers and files for %{name}
Summary(de):	Entwicklungsheader und -dateien für %{name}
Group:		Development/C
Obsoletes:	%mklibname -d yasm 0
Requires:	%{name} = %{version}-%{release}

%description devel
Development headers and files for %{name}.

%description devel -l de
Entwicklungsheader und -dateien für %{name}

%package python
Summary:	Python bindings for %{name}
Summary(de):	Pythonbindungen für %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description python
Python bindings for %{name}.

%description python -l de
Pythonbindungen für %{name}

%prep
%setup -q -n %{name}-%{version}

%build
%ifnarch ix86
export CFLAGS="%{optflags} -fPIC"
%endif

%configure2_5x \
	--disable-rpath \
	--enable-python \
	--enable-python-bindings

%make

%install
rm -rf  %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/yasm/*.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/yasm.1*
%{_mandir}/man7/yasm_arch.7*
%{_mandir}/man7/yasm_dbgfmts.7.*
%{_mandir}/man7/yasm_objfmts.7.*
%{_mandir}/man7/yasm_parsers.7.*

%files python
%defattr(-,root,root)
%{py_sitedir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_includedir}/libyasm
%{_includedir}/libyasm.h
%{_includedir}/libyasm-stdint.h


%changelog
* Thu Aug 15 2013 billybot <billybot> 1.2.0-2pclos2013
- update python 2.7

* Mon Dec 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.0-1pclos2012
- 1.2.0
- added german summaries and descriptions
- added BR python-cython

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- 1.1.0 and rebuild for new python

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 0.8.0-2pclos2010
- rebuild for 2010 release

